<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>KRS</title>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>KRS List</h2>
                                        <p th:text="${tahunAkademikProdi.tahunAkademik.namaTahunAkademik + ' - ( Semester ' + semester +' ).'
                                        }">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                        <p th:text="${mahasiswa.nama + ' ( ' + mahasiswa.nim + ' )' + ' - ' + mahasiswa.idProdi.namaProdi}"></p>
<!--                                        <p th:text="${'Kelas : ' + kelas.kelas.namaKelas}"></p>-->
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container" th:if="${kosong == null && existMbkm == null}">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <div class="row">
                            <div class="col-md-12">
                                <input type="hidden" th:value="${krsStatus}" id="krsStatus">
                                <div th:if="${reject}" class="alert alert-danger">
                                    <h5 class="text-white text-center" th:text="${reject}"></h5>
                                </div>
                                <p th:if="${reject}" id="notif-reject" style="color: red;">*Notifikasi ini hanya muncul sekali!</p>
                                <div th:if="${reject}" class="alert alert-danger" id="reject-alert">
                                    <h5 class="text-white text-center" th:text="${'Komentar Dosen Wali : ' + komentar}"></h5>
                                </div>
                                <div th:if="${waiting}" class="alert alert-warning">
                                    <h5 class="text-white text-center" th:text="${waiting}"></h5>
                                </div>
                                <p th:if="${approved}" id="notif-success" style="color: red;">*Notifikasi ini hanya muncul sekali!</p>
                                <div th:if="${approved}" class="alert alert-success" id="success-alert">
                                    <h5 class="text-white text-center" th:text="${approved}"></h5>
                                </div>
                            </div>
                            <div class="col-md-6 col-xs-12">
                               <strong>Daftar KRS</strong>
                            </div>
                            <div class="col-md-6 col-xs-12 text-right">
                                <input type="hidden" th:value="${sksLulus}">
                                <div class="dropdown-trig-an-list">
<!--                                     th:if="${mbkm != null && existMbkm == null && existKrs == null}">-->
                                    <div class="dropdown-trig-sgn pull-right">
                                        <button class="btn btn-primary" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> <i class="fa fa-plus-square"></i> Tambah KRS</button>
                                        <ul class="dropdown-menu">
                                            <li th:if="${validasi == null && kelas != null}"><a th:href="@{/study/form}">Tambah Krs</a></li>
                                            <li><a th:href="@{/study/mbkm(totalSks=${sksLulus})}" class="text-white">MBKM </a></li>
                                        </ul>
                                    </div>
                                </div>
<!--                                <a th:href="@{/study/form}" th:if="${validasi == null && kelas != null && mbkm == null}">-->
<!--                                    <button class="btn btn-primary"><i class="fa fa-plus-circle"></i> Tambah KRS</button>-->
<!--                                </a>-->
                                <a th:href="@{/study/kartu/hputs}" th:id="mobile" style="display:none;" th:if="${kartuUts != null}">
                                    <button class="btn btn-primary"><i class="fa fa-cloud-download"></i> Download Midterm Exam Card</button>
                                </a>
                                <a th:href="@{/study/kartu/uts}" target="_blank" th:id="pc" th:if="${kartuUts != null}">
                                    <button class="btn btn-primary"><i class="fa fa-cloud-download"></i> Download Midterm Exam Card</button>
                                </a>

                                <a th:href="@{/study/kartu/hpuas}" th:id="mobile" style="display:none;" th:if="${kartuUas != null}">
                                    <button class="btn btn-primary"><i class="fa fa-cloud-download"></i> Download Final Exam Card</button>
                                </a>
                                <a th:href="@{/study/kartu/uas}" th:id="pc" th:if="${kartuUas != null}">
                                    <button class="btn btn-primary"><i class="fa fa-cloud-download"></i> Download Final Exam Card</button>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="alert alert-info text-center" th:if="${mbkmWaiting != null}" th:text="${mbkmWaiting}"></div>
                    <div class="alert alert-danger text-center" th:if="${mbkmReject != null}" th:text="${mbkmReject}"></div>
                    <div class="alert alert-danger" th:if="${minSks != null}">
                        <center>
                            <strong>
                                Belum memenuhi syarat minimal sks (minimal 100 sks lulus, total sks Anda <span th:text="${sksLulus}"></span>)
                            </strong>
                        </center>
                    </div>
                    <div class="alert alert-info" th:if="${validasi != null}">
                        <center>
                            <strong>
                                Sudah tidak bisa mengambil krs, karena sudah melewati batas waktu
                            </strong>
                        </center>
                    </div>
                    <div class="alert alert-danger" th:if="${kelas == null}">
                        <center>
                            <strong>
                                Anda belum terdaftar ke kelas, Silahkan hubungi akademik.
                            </strong>
                        </center>
                    </div>
                    <div class="alert alert-danger" th:if="${gagal != null}">
                        Delete data gagal, Krs sudah tidak dapat dihapus karena sudah ada aktifitas perkuliahan yang anda lakukan dengan matakuliah ini...
                    </div>
                    <div class="alert alert-success" th:if="${success != null}">
                        Delete data berhasil
                    </div>
                    <div class="bsc-tbl-st">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>No.</th>
                                <th>Day</th>
                                <th>Time</th>
                                <th>Subject</th>
                                <th>SKS</th>
                                <th>Class</th>
                                <th>Room</th>
                                <th>Lecture</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>

                            <tr th:each="data,row : ${listKrs}">
                                <td th:text="${(row.index + 1)}">1</td>
                                <td th:text="${data.jadwal.hari.namaHariEng}">Senin</td>
                                <td th:text="${data.jadwal.jamMulai + ' - ' + data.jadwal.jamSelesai}">13.00</td>
                                <td th:if="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish != null}"
                                    th:text="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish}">Ini Subject</td>
                                <td th:if="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish == null}"
                                    th:text="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}">Ini Subject</td>
                                <td th:text="${data.matakuliahKurikulum.jumlahSks}">Ini SKS</td>
                                <td th:text="${data.jadwal.kelas.namaKelas}">Ruang 1.3</td>
                                <td th:text="${data.jadwal.ruangan.namaRuangan}">Ruang 1.3</td>
                                <td th:text="${data.jadwal.dosen.karyawan.namaKaryawan}">Ini Lecture</td>
                                <td style="width: 15px;">
                                    <a th:href="@{/study/detail (id = ${data.jadwal.id})}">
                                        <button type="button" class="btn btn-warning waves-effect" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Detail">
                                            <i class="fa fa-eye"></i>
                                        </button>
                                    </a>

                                </td>
                                <td th:if="${validasi == null}">
                                    <form th:action="@{/study/deleteKrs(id = ${data.id})}" method="post">
                                        <button type="submit" class="btn btn-danger waves-effect" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Hapus">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </form>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container" th:if="${existMbkm != null}">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <div class="row">
                            <div class="col-md-6 col-xs-12">
                               <strong>Daftar MBKM</strong>
                            </div>
                            <div class="col-md-6 col-xs-12 text-right">
                                <div class="dropdown-trig-an-list" th:if="${mbkm != null && existMbkm == null && existKrs == null}">
                                    <div class="dropdown-trig-sgn pull-right">
                                        <button class="btn btn-primary" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> <i class="fa fa-plus-square"></i> Tambah KRS</button>
                                        <ul class="dropdown-menu">
                                            <li th:if="${validasi == null && kelas != null}"><a th:href="@{/study/form}">Tambah Krs</a></li>
                                            <li><a th:href="@{/study/mbkm}" class="text-white">MBKM </a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="alert alert-info text-center">
                        Anda mengikuti program mbkm
                    </div>
                    <div class="bsc-tbl-st">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>No.</th>
                                <th>Subject</th>
                                <th>SKS</th>
                                <th>Lecture</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>

                            <tr th:each="data,row : ${listKrsMbkm}">
                                <td th:text="${(row.index + 1)}">1</td>
                                <td th:if="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish != null}"
                                    th:text="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish}">Ini Subject</td>
                                <td th:if="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish == null}"
                                    th:text="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}">Ini Subject</td>
                                <td th:text="${data.matakuliahKurikulum.jumlahSks}">Ini SKS</td>
                                <td th:text="${data.jadwal.dosen.karyawan.namaKaryawan}">Ini Lecture</td>
                                <td>
                                    <button type="button" class="btn btn-info " data-toggle="modal" th:data-target="${'#laporan-'+data.id}">
                                         Laporan
                                    </button>

                                    <div class="modal fade" th:id="${'laporan-'+data.id}" role="dialog" aria-labelledby="laporanModal" aria-hidden="true">
                                        <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
                                            <div class="modal-content">

                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="laporanModal" th:text="${data.matakuliahKurikulum.matakuliah.namaMatakuliah}">Delete matakuliah</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>

                                                <div class="modal-body">
                                                    <div class="table-responsive">
                                                        <table class="table align-items-center table-flush">
                                                            <tr class="thead-light">
                                                                <th class="text-center">Laporan</th>
                                                                <th class="text-center"></th>
                                                            </tr>
                                                            <tr th:each="dataLaporan, row : ${laporan}">
                                                                <td  th:if="${dataLaporan.krsDetail.id == data.id}" class="text-center">
                                                                    <a target="_blank" th:text="${dataLaporan.namaFile}" th:href="@{/laporan/{file}/mbkm(file = ${dataLaporan.id})}"></a>
                                                                </td>
                                                                <td th:if="${dataLaporan.krsDetail.id == data.id}">
                                                                    <form th:action="@{/mbkm/laporan/delete(file = ${dataLaporan.id})}" method="post">
                                                                        <button type="submit" class="btn btn-danger btn-sm" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Hapus">
                                                                            <i class="fa fa-trash"></i>
                                                                        </button>
                                                                    </form>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                    <br><br>
                                                    <form method="post" th:action="@{/mbkm/upload/file}" enctype="multipart/form-data">
                                                        <label for="laporan">Upload Laporan</label>
                                                        <div class="row">
                                                            <div class="col-md-10">
                                                                <input id="laporan" type="hidden" name="krsDetail" th:value="${data.id}">
                                                                <div class="nk-int-st">
                                                                    <input type="file" required accept="application/pdf" name="file"
                                                                           class="form-control">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-2">
                                                                <button type="submit" class="btn btn-success btn-sm">Simpan</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container" th:if="${kosong != null}">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <div class="row">
                            <div class="col-md-6 col-xs-12">
                            </div>
                        </div>
                    </div>
                    <div class="alert alert-danger">
                        <strong>
                           <center><p>Silahkan selesaikan dulu pembayaran, atau hubungi bagian keuangan</p></center>
                        </strong>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script type="text/javascript">

    var status = $('#krsStatus').val();
    console.log(status);

    $('#success-alert').hide();
    $('#reject-alert').hide();
    $('#notif-success').hide();
    $('#notif-reject').hide();
    var alerted = localStorage.getItem('alerted') || '';
    if (alerted != 'yes'){
        if (status === 'APPROVED'){
            $('#notif-success').show();
            $('#success-alert').show();
        }else if(status === 'REJECTED'){
            $('#notif-reject').show();
            $('#reject-alert').show();
        }
        localStorage.setItem('alerted', 'yes');
    }
</script>
<script>

    function kelasKosong() {
        Swal.fire({
            position: 'top-end',
            icon: 'success',
            title: 'Data Ploting tersimpan ',
            showConfirmButton: false,
            timer: 2000
        })
    }

    /* Storing user's device details in a variable*/
    $( document ).ready(function() {
        let details = navigator.userAgent;
        let regexp = /android|iphone|kindle|ipad/i;
        let isMobileDevice = regexp.test(details);

        var mobile = document.getElementById("mobile");
        var pc = document.getElementById("pc");

        if (isMobileDevice) {
            mobile.style.display = "block";
            pc.style.display = "none";
        } else {
            mobile.style.display = "none";
        }
    });
</script>